# attributes

Column Name | Data Type | Nullity | Default value | Description
--- | --- | --- | --- | ---
`attributeId` | Text | Non-null |  | Unique Id of the attribute (e.g. `qhC1vzU4nwSE`), can also have a special unique ID for Special notes (e.g. `_lbToday_liconClass`).
`noteId` | Text | Non-null |  | The ID of the note this atttribute belongs to
`type` | Text | Non-null |  | The type of attribute (`label` or `relation`).
`name` | Text | Non-null |  | The name/key of the attribute.

`value`

Text

Non-null

`""`

- For `label` attributes, a free-form value of the attribute.
- For `relation` attributes, the ID of the note the relation is pointing to.

`position` | Integer | Non-null | 0 | The position of the attribute compared to the other attributes. Some predefined attributes such as `originalFileName` have a value of 1000.
`utcDateModified` | Text | Non-null |  | Modification date in UTC format (e.g. `2023-11-08 16:43:44.204Z`)
`isDeleted` | Integer | Non-null |  | `1` if the entity is deleted, `0` otherwise.
`deleteId` | Text | Nullable | `null` |
`isInheritable` | Integer | Nullable | 0 |